Bug 1094602 (CVE-2014-0206) - CVE-2014-0206 kernel: aio: insufficient sanitization of head in aio_read_events_ring()
Summary: CVE-2014-0206 kernel: aio: insufficient sanitization of head in aio_read_even...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-0206
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1094604 1094605 1094606 1112975
Blocks: 1094607
TreeView+ depends on / blocked
 
Reported: 2014-05-06 06:39 UTC by Petr Matousek
Modified: 2019-09-29 13:17 UTC (History)
24 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-22 20:01:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0786 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2014-06-24 19:58:32 UTC
Red Hat Product Errata RHSA-2014:0913 normal SHIPPED_LIVE Important: kernel-rt security update 2014-07-22 22:00:11 UTC

Description Petr Matousek 2014-05-06 06:39:19 UTC
It was found that aio_read_events_ring() function in the Linux kernel's
AIO subsystem did not properly sanitize AIO ring head coming from
userspace.

An unprivileged local user could use this flaw to randomly disclose parts
of (physical) memory belonging to kernel and/or other processes.

Introduced by:
http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=a31ad380bed817aa25f8830ad23e1a0480fef797

Upstream commits:
https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=edfbbf388f29
https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=f8567a3845ac

Acknowledgements:

This issue was discovered by Mateusz Guzik of Red Hat.

Comment 5 Petr Matousek 2014-06-24 11:17:40 UTC
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5 and 6.

Comment 8 errata-xmlrpc 2014-06-24 15:59:36 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:0786 https://rhn.redhat.com/errata/RHSA-2014-0786.html

Comment 9 Petr Matousek 2014-06-25 07:33:33 UTC
Proposed upstream patches:

  https://lkml.org/lkml/2014/6/24/619
  https://lkml.org/lkml/2014/6/24/623

Comment 10 Petr Matousek 2014-06-25 07:34:37 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1112975]

Comment 11 John Kacur 2014-06-27 12:52:40 UTC
The comments on the patches claim to need a separate backport for v3.10 / v3.11, although they look like they would apply cleanly. Is this true? If so, when can we expect them?

Comment 12 Jeff Moyer 2014-06-27 13:06:26 UTC
(In reply to John Kacur from comment #11)
> The comments on the patches claim to need a separate backport for v3.10 /
> v3.11, although they look like they would apply cleanly. Is this true? If
> so, when can we expect them?

They've already been posted upstream.

http://www.spinics.net/lists/stable/msg51486.html
http://www.spinics.net/lists/stable/msg51487.html

Comment 13 Fedora Update System 2014-06-30 10:29:07 UTC
kernel-3.14.9-200.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 errata-xmlrpc 2014-07-22 18:01:04 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2014:0913 https://rhn.redhat.com/errata/RHSA-2014-0913.html

Comment 15 Fedora Update System 2014-07-25 10:08:38 UTC
kernel-3.14.13-100.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.